> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch redirects by item ID

> Fetch redirects for a specific item ID with pagination. Deprecated. Use https://graphql.enad.io instead.



## OpenAPI

````yaml /swagger/shopper-api.json get /api/v1/omni/:app_id/:store_group/:market/:locale/redirects/:item_id
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: >-
    This is the documentation for Public API v1. All endpoints in this API are
    deprecated. Use https://graphql.enad.io instead.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //shopper-cdn.enad.io
security: []
paths:
  /api/v1/omni/:app_id/:store_group/:market/:locale/redirects/:item_id:
    get:
      tags:
        - Redirects
      summary: Fetch redirects by item ID
      description: >-
        Fetch redirects for a specific item ID with pagination. Deprecated. Use
        https://graphql.enad.io instead.
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Market
          in: path
          name: market
          required: true
          schema:
            type: string
        - description: Locale
          in: path
          name: locale
          required: true
          schema:
            type: string
        - description: Item ID
          in: path
          name: item_id
          required: true
          schema:
            type: string
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Items per page (default: 20, max: 100)'
          in: query
          name: per_page
          schema:
            type: integer
      responses:
        '200':
          description: Paginated redirects response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponseWithPagignation-array_Redirect'
        '400':
          description: Invalid app ID or item ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
      deprecated: true
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponseWithPagignation-array_Redirect:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Redirect'
          type: array
        page:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    ErrorMessage:
      description: ErrorMessage is the response for a ErrorMessage
      properties:
        message:
          type: string
      type: object
    Redirect:
      description: >-
        Redirect represents URL redirection rules for various item types in the
        system.
      properties:
        id:
          type: string
        item_id:
          type: string
        locale:
          type: string
        new_slug:
          type: string
        old_slug:
          type: string
        redirect_type:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and a token.
      in: header
      name: Authorization
      type: apiKey

````